:root{

    --Negro-Principal: hsl(0, 0%, 7%);
    --marron-ligth: #BF9056;
    --marron-dark: #594328;
    --blanco:#F2F2F2;
    --gris:#8C8C8C;
    --gris-light: #b2aa9d ;
}

* {
    margin: 0;
    padding: 0;
}

header {
    width: 100%;
    height: 150px;
}

.contenedorHeader{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    text-align: center;
    align-items: center;
}

.logo {
    width: 170px;
    height: 150px;
}

header nav ul{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 20px;
    margin-right: 20px;
}

header nav ul li{
    text-align: center;
    list-style: none;
}

header a {
    font-family: 'Noto Serif', serif;
    color: white;
    text-align: center;
    text-decoration: none;
}

header a:hover {
    text-decoration: underline;
}

article{
    margin-top: 20px;
}

img {
    max-height: 100%;
    width: 200px;
    vertical-align: bottom;
}

#banner{
    display: flex;
    flex-direction: column;
    background-image: url(../img/banner.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position-x: center;
    background-attachment: fixed;
    text-align: center;
    color: var(--white);
    height: 800px;
}

#banner .textoBanner{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#banner .textoBanner span{
    color: var(--gris);
}

#banner h1{
    font-size: 70px;
    text-shadow: -1px -1px var(--Negro-Principal), 1px 1px var(--Negro-Principal);
    border-radius: 0 20px 0 20px;
    display: inline-block;
    color: var( --blanco);
    line-height: normal;
}

#banner .textoBanner p{
    background-color: var(--marron-ligth);
    padding: 20px;
    font-size: 30px;
    line-height:1;
    font-family: 'Noto Serif', serif;    
}

#carta{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    text-align: center;
    align-items: center;
}

h2{
    margin: 50px;
    font-family: 'Noto Serif', serif;
    font-weight: 500px;
    font-size: 35px;
}

#cartaPrincipal{
    display: flex;
    width: 1200px;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
    text-align: left;
    justify-content: center;
}

.elementos{
    gap: 10px;
    vertical-align: top;
    box-sizing: border-box;
    border-radius: 20px;
    background-color: var(--gris-light);
    width: 500px;
    height: 300px;
    color: var(--blanco);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.elementos img{
    object-fit: cover;
    border-radius: 20px;
    width: 200px;
    height: 300px;
    margin-right: 15px ;
}

.elementos .textoCarta{
    display: inline;
    font-family: 'Oswald', sans-serif;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.elementos .textoCarta h3{
    color: var(--Negro-Principal);
    border-bottom: var(--marron-ligth) solid ;
}

.elementos .textoCarta small{
    color: var(--marron-dark);
}

.elementos .textoCarta p{
    line-height:1;
    color: var(--blanco);
}

#nosotros{
    border-radius: 20px ;
    width: 100%;
    background-color: var(--gris);
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    text-align: center;
    height: 900px;
}

.conteiner{
    text-align: center;
    display: grid;
    justify-content: center;
    width: 1200px;
    gap: 15px;
    grid-template: 200px 200px/ repeat(6,190px);
}

.item{
    object-fit:cover;
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
}

.item:nth-child(1){
    grid-row: 1/span 2;
}

.item:nth-child(2){
    grid-row: 1/span 2;
}

.item:nth-child(3){
    grid-row: 1/span 1;
}

.item:nth-child(4){
    grid-column: 4/span 3;
}

.item:nth-child(5){
    grid-column: 3/span 3;
}

.item:nth-child(6){
    grid-column: 6/span 1;
}

.horarios{
    margin: 20px;
    border-spacing: 0;
    border-collapse: collapse;
}

.horarios td, .horarios th{
    padding: 10px 30px;
    text-align: center;
}

.horarios thead{
    background-color: var(--Negro-Principal);
    color: var(--blanco);
}

.horarios tbody tr:nth-child(even){
    background-color: var(--blanco);
}

.columnaColor{
    background-color: var(--Negro-Principal);
    color: var(--blanco);
}

.textoNosotros{
    margin-top: 20px;
    font-family: 'Oswald', sans-serif;
    width: 1200px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    text-align: center;
    align-items: center;
}

.textoNosotrosLocales{
    text-align: left;
    list-style: none;    
}

.textoNosotrosLocales ul li{
    list-style: none;
    font-size: 15px;
    font-weight: 15px;
    border-left: var(--Negro-Principal) solid 3px;
    padding-left: 7px;
    color: var(--Negro-Principal);
}

.textoNosotrosLocales ul li strong{
    font-size: 20px;
    text-shadow: -1px -1px var(--Negro-Principal), 1px 1px var(--Negro-Principal);
    color: var(--marron-ligth);
}

#reservas{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    text-align: center;
    justify-content: center;
    align-items: center;    
}

#reservasPrincipal{
    height: 200px;
    display: flex;
    flex-direction: row;
    text-align: left;
    gap: 35px;
    justify-content: center;
    align-items: center;
}

form{
    height: 200px;
    display: flex;
    flex-direction: row;
    text-align: left;
    gap: 35px;
    justify-content: center;
    align-items: center;   
}

fieldset{
    border: none;
    font-family: 'Oswald', sans-serif;
}

#reservasPrincipal ul{
    list-style-position: inside;
}

#reservasPrincipal label{
    font-size: 15px;
}

#reservasPrincipal input{
    width: 250px;
    height: 25px;
    border: 3px solid var(--gris);
    font-family: 'Oswald', sans-serif;
    border-radius: 3px;
    cursor: pointer;
}
#reservasPrincipal select{
    font-family: 'Oswald', sans-serif;
    width: 256px;
    height: 31px;
    border: 3px solid var(--gris);
    border-radius: 3px;
    cursor: pointer;
}
#reservasPrincipal input:hover,#reservasPrincipal select:hover {
    border: 3px solid var(--Negro-Principal);
}
#reservasPrincipal input:focus,#reservasPrincipal select:focus{
    outline: none;
    border: 3px solid var(--Negro-Principal);
}


#reservasPrincipal input[type=checkbox]{
    height: 15px;
    width: 25px;
}
#reservasPrincipal input[type=checkbox]:hover{
    background-color: #594328;
}

#reservasPrincipal input[type=submit]{
    font-family: 'Oswald', sans-serif;
    font-size: 18px;
    margin-top: 5px;
    width: 100%;
    height: 31px;
    border:none;
    color: var(--blanco);
    background-color: var(--Negro-Principal);
    cursor: pointer;
}

#reservasPrincipal input[type=submit]:hover{
    border:  solid var(--marron-dark);
    background-color: var(--marron-dark);
}






footer{
    font-family: 'Noto Serif', serif;
    box-sizing: border-box;
    background-color:  var(--Negro-Principal);
    height: 250px;
    padding: 15px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

footer a{
    display: inline;
    text-decoration: none;
    color: var(--marron-dark);
    margin-left: 25px;
    line-height: 2;
}

footer .logosRedes{
    display: flex;
    justify-content: center;
    align-items: center;
}

footer a:hover {
    padding: 5px;
    background-color: var(--marron-ligth);
    color: white;
}

footer .icono{
    width: 50px;
}

footer .linkIconos:hover{
    padding: 0px;
    background-color: var(--Negro-Principal);

}